# coding: utf-8

"""
    VMware Aria Automation Assembler / CMX Service API

    When using Kubernetes integration, deploy and manage Kubernetes clusters and namespaces. The APIs that list collections of resources also support OData like implementation. Below query params can be used across CMX entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/cmx/api/resources/tags?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/cmx/api/resources/tags?$expand=true&$top=10&$skip=2```  3. `page` and `$size` - page used in conjunction with `$size` helps in pagination of resources.      ```/cmx/api/resources/tags?$expand=true&page=0&$size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /cmx/api/resources/tags?$filter=startswith(name, 'K8S')   # noqa: E501

    OpenAPI spec version: 2019-09-12
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class K8SClusterAssignRequestDTO(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'cluster_group': 'str',
        'cluster_ids': 'list[str]',
        'project_id': 'str'
    }

    attribute_map = {
        'cluster_group': 'clusterGroup',
        'cluster_ids': 'clusterIds',
        'project_id': 'projectId'
    }

    def __init__(self, cluster_group=None, cluster_ids=None, project_id=None):  # noqa: E501
        """K8SClusterAssignRequestDTO - a model defined in Swagger"""  # noqa: E501
        self._cluster_group = None
        self._cluster_ids = None
        self._project_id = None
        self.discriminator = None
        if cluster_group is not None:
            self.cluster_group = cluster_group
        if cluster_ids is not None:
            self.cluster_ids = cluster_ids
        if project_id is not None:
            self.project_id = project_id

    @property
    def cluster_group(self):
        """Gets the cluster_group of this K8SClusterAssignRequestDTO.  # noqa: E501


        :return: The cluster_group of this K8SClusterAssignRequestDTO.  # noqa: E501
        :rtype: str
        """
        return self._cluster_group

    @cluster_group.setter
    def cluster_group(self, cluster_group):
        """Sets the cluster_group of this K8SClusterAssignRequestDTO.


        :param cluster_group: The cluster_group of this K8SClusterAssignRequestDTO.  # noqa: E501
        :type: str
        """

        self._cluster_group = cluster_group

    @property
    def cluster_ids(self):
        """Gets the cluster_ids of this K8SClusterAssignRequestDTO.  # noqa: E501


        :return: The cluster_ids of this K8SClusterAssignRequestDTO.  # noqa: E501
        :rtype: list[str]
        """
        return self._cluster_ids

    @cluster_ids.setter
    def cluster_ids(self, cluster_ids):
        """Sets the cluster_ids of this K8SClusterAssignRequestDTO.


        :param cluster_ids: The cluster_ids of this K8SClusterAssignRequestDTO.  # noqa: E501
        :type: list[str]
        """

        self._cluster_ids = cluster_ids

    @property
    def project_id(self):
        """Gets the project_id of this K8SClusterAssignRequestDTO.  # noqa: E501


        :return: The project_id of this K8SClusterAssignRequestDTO.  # noqa: E501
        :rtype: str
        """
        return self._project_id

    @project_id.setter
    def project_id(self, project_id):
        """Sets the project_id of this K8SClusterAssignRequestDTO.


        :param project_id: The project_id of this K8SClusterAssignRequestDTO.  # noqa: E501
        :type: str
        """

        self._project_id = project_id

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(K8SClusterAssignRequestDTO, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, K8SClusterAssignRequestDTO):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
